Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType overload-protectionType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}overload-protectionType

Model
  `<...>
  name?, notes?, shared-capacity-for-work-managers?, panic-action?, failure-action?, free-memory-percent-high-threshold?, free-memory-percent-low-threshold?, server-failure-trigger?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This Mbean has attributes concerning server overload protection.

  MBean: `OverloadProtectionMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`annonymous type derived from int` | `shared-capacity-for-work-managers` optional Total number of requests that can be present in the server.
`annonymous type derived from string` | `panic-action` optional Exit the server process when the kernel encounters a panic condition like an unhandled OOME.
`annonymous type derived from string` | `failure-action` optional Enable automatic forceshutdown of the server on failed state.
`annonymous type derived from int` | `free-memory-percent-high-threshold` optional Percentage free memory after which the server overload condition is cleared.
`annonymous type derived from int` | `free-memory-percent-low-threshold` optional Percentage free memory below which the server is considered overloaded.
`anyType` | `server-failure-trigger` optional Configure a trigger that marks the server as failed when the condition is met.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1